zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvprop.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvprop.c File Reference
`#include "gxvalid.h"`
`#include "gxvcommn.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvprop
#define | GXV_PROP_ATTACHING_TO_RIGHT 0x0080U
#define | GXV_PROP_COMPLEMENTARY_BRACKET_OFFSET 0x0F00U
#define | GXV_PROP_DATA(field) GXV_TABLE_DATA( prop, field )
#define | GXV_PROP_DIRECTIONALITY_CLASS 0x001FU
#define | GXV_PROP_FLOATER 0x8000U
#define | GXV_PROP_HEADER_SIZE ( 4 + 2 + 2 )
#define | GXV_PROP_RESERVED 0x0060U
#define | GXV_PROP_SIZE_MIN GXV_PROP_HEADER_SIZE
#define | GXV_PROP_USE_COMPLEMENTARY_BRACKET 0x1000U

## Typedefs

typedef struct GXV_prop_DataRec_ * | GXV_prop_Data
typedef struct GXV_prop_DataRec_ | GXV_prop_DataRec

## Functions

static GXV_LookupValueDesc | gxv_prop_LookupFmt4_transit (FT_UShort relative_gindex, GXV_LookupValueCPtr base_value_p, FT_Bytes lookuptbl_limit, GXV_Validator valid)
static void | gxv_prop_LookupValue_validate (FT_UShort glyph, GXV_LookupValueCPtr value_p, GXV_Validator valid)
static void | gxv_prop_property_validate (FT_UShort property, FT_UShort glyph, GXV_Validator valid)
| gxv_prop_validate (FT_Bytes table, FT_Face face, FT_Validator ftvalid)
static void | gxv_prop_zero_advance_validate (FT_UShort gid, GXV_Validator valid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvprop

Definition at line 38 of file gxvprop.c.

#define GXV_PROP_ATTACHING_TO_RIGHT 0x0080U

Definition at line 63 of file gxvprop.c.

Referenced by gxv_prop_property_validate().

#define GXV_PROP_COMPLEMENTARY_BRACKET_OFFSET 0x0F00U

Definition at line 62 of file gxvprop.c.

Referenced by gxv_prop_property_validate().

#define GXV_PROP_DATA | ( |  | field | ) | GXV_TABLE_DATA( prop, field )

Definition at line 58 of file gxvprop.c.

Referenced by gxv_prop_property_validate(), and gxv_prop_validate().

#define GXV_PROP_DIRECTIONALITY_CLASS 0x001FU

Definition at line 65 of file gxvprop.c.

Referenced by gxv_prop_property_validate().

#define GXV_PROP_FLOATER 0x8000U

Definition at line 60 of file gxvprop.c.

Referenced by gxv_prop_property_validate().

#define GXV_PROP_HEADER_SIZE ( 4 + 2 + 2 )

Definition at line 49 of file gxvprop.c.

#define GXV_PROP_RESERVED 0x0060U

Definition at line 64 of file gxvprop.c.

Referenced by gxv_prop_property_validate().

#define GXV_PROP_SIZE_MIN GXV_PROP_HEADER_SIZE

Definition at line 50 of file gxvprop.c.

#define GXV_PROP_USE_COMPLEMENTARY_BRACKET 0x1000U

Definition at line 61 of file gxvprop.c.

Referenced by gxv_prop_property_validate().

## Typedef Documentation

typedef struct GXV_prop_DataRec_ * GXV_prop_Data

typedef struct GXV_prop_DataRec_ GXV_prop_DataRec

## Function Documentation

static GXV_LookupValueDesc gxv_prop_LookupFmt4_transit | ( | FT_UShort | relative_gindex,
|  | GXV_LookupValueCPtr | base_value_p,
|  | FT_Bytes | lookuptbl_limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 224 of file gxvprop.c.

References FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_ValidatorRec_::lookuptbl_head, sizeof(), and GXV_LookupValueDesc_::u.

Referenced by gxv_prop_validate().

static void gxv_prop_LookupValue_validate | ( | FT_UShort | glyph,
|  | GXV_LookupValueCPtr | value_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 188 of file gxvprop.c.

References gxv_prop_property_validate(), and GXV_LookupValueDesc_::u.

Referenced by gxv_prop_validate().

static void gxv_prop_property_validate | ( | FT_UShort | property,
|  | FT_UShort | glyph,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 110 of file gxvprop.c.

References FT_INVALID_DATA, FT_INVALID_OFFSET, gxv_glyphid_validate(), GXV_PROP_ATTACHING_TO_RIGHT, GXV_PROP_COMPLEMENTARY_BRACKET_OFFSET, GXV_PROP_DATA, GXV_PROP_DIRECTIONALITY_CLASS, GXV_PROP_FLOATER, GXV_PROP_RESERVED, GXV_PROP_USE_COMPLEMENTARY_BRACKET, gxv_prop_zero_advance_validate(), GXV_TRACE, and version.

Referenced by gxv_prop_LookupValue_validate(), and gxv_prop_validate().

gxv_prop_validate | ( | FT_Bytes | table,
|  | FT_Face | face,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 256 of file gxvprop.c.

References GXV_ValidatorRec_::face, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, GXV_INIT, GXV_LIMIT_CHECK, gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, GXV_PROP_DATA, gxv_prop_LookupFmt4_transit(), gxv_prop_LookupValue_validate(), gxv_prop_property_validate(), GXV_TRACE, GXV_ValidatorRec_::lookupfmt4_trans, GXV_ValidatorRec_::lookupval_func, GXV_ValidatorRec_::lookupval_sign, GXV_ValidatorRec_::root, GXV_ValidatorRec_::table_data, and version.

static void gxv_prop_zero_advance_validate | ( | FT_UShort | gid,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 77 of file gxvprop.c.

References FT_GlyphSlotRec_::advance, error, GXV_ValidatorRec_::face, FT_INVALID_DATA, FT_INVALID_GLYPH_ID, FT_Load_Glyph(), FT_LOAD_IGNORE_TRANSFORM, FT_Pos, FT_FaceRec_::glyph, GXV_EXIT, GXV_NAME_ENTER, GXV_TRACE, FT_Vector_::x, and FT_Vector_::y.

Referenced by gxv_prop_property_validate().